%define _requires_exceptions devel(libabiword-3.0)

Name:       abiword
Summary:    Lean and fast full-featured word processor
Summary(de): Schlankes und schnelles Textverarbeitungsprogramm mit vollem Funktionsumfang. 
Version:    3.0.1
Release:    %mkrel 1
Group:      Office
URL:        http://www.abisource.com/
License:    GPLv2+
Source0:	http://www.abisource.com/downloads/abiword/%{version}/source/%{name}-%{version}.tar.xz
#------------------------------------------------
BuildRequires: bison
BuildRequires: desktop-file-utils
BuildRequires: libloudmouth-devel
BuildRequires: gnutls
BuildRequires: gnome-common
BuildRequires: python-gobject3-devel
BuildRequires: %{_lib}aiksaurusgtk-devel
BuildRequires: %{_lib}aiksaurus-devel
BuildRequires: %{_lib}atk1.0-devel
BuildRequires: %{_lib}boost-devel
BuildRequires: %{_lib}cairo-devel
BuildRequires: %{_lib}dbus-1-devel
BuildRequires: %{_lib}dbus-glib-1_2-devel
BuildRequires: %{_lib}enchant-devel
BuildRequires: %{_lib}fontconfig-devel
BuildRequires: %{_lib}freetype6-devel
BuildRequires: %{_lib}fribidi-devel
BuildRequires: %{_lib}gcrypt-devel
BuildRequires: %{_lib}gcrypt11
BuildRequires: %{_lib}gdk_pixbuf2.0_0-devel
BuildRequires: %{_lib}girepository-devel
BuildRequires: %{_lib}glib2.0-devel
BuildRequires: %{_lib}gpg-error-devel
BuildRequires: %{_lib}gsf-1_114-devel
BuildRequires: %{_lib}gtk+3.0-devel
BuildRequires: %{_lib}ical-devel
BuildRequires: %{_lib}jpeg-devel
BuildRequires: %{_lib}link-grammar4-devel
BuildRequires: %{_lib}pango1.0-devel
BuildRequires: %{_lib}png-devel
BuildRequires: %{_lib}psiconv6-devel
BuildRequires: %{_lib}readline-devel
BuildRequires: %{_lib}rsvg2-devel
BuildRequires: %{_lib}wmf0.2_7-devel
BuildRequires: %{_lib}wpd-devel
BuildRequires: %{_lib}wpg-devel
BuildRequires: %{_lib}wps-devel
BuildRequires: %{_lib}x11-devel
BuildRequires: %{_lib}xml2-devel
BuildRequires: %{_lib}xslt-devel
BuildRequires:	%{_lib}ots-devel 
BuildRequires:	rasqal
BuildRequires:	redland
%ifarch %{ix86}
BuildRequires:	%{_lib}wv1.2_4-devel 
%else
BuildRequires:	%{_lib}wv-devel >= 1.2.0
%endif
#------------------------------------------------
Obsoletes: abiword-plugin-abicollab < 2.7.2
Obsoletes: abiword-plugin-abicommand < 2.7.2
Obsoletes: abiword-plugin-abigimp < 2.7.2
Obsoletes: abiword-plugin-abigoffice < 2.7.2
Obsoletes: abiword-plugin-abigrammar < 2.7.2
Obsoletes: abiword-plugin-abimathview < 2.7.2
Obsoletes: abiword-plugin-abipsion < 2.7.2
Obsoletes: abiword-plugin-aiksaurus < 2.7.2
Obsoletes: abiword-plugin-babelfish < 2.7.2
Obsoletes: abiword-plugin-freetranslation < 2.7.2
Obsoletes: abiword-plugin-google < 2.7.2
Obsoletes: abiword-plugin-graphics < 2.7.2
Obsoletes: abiword-plugin-impexp < 2.7.2
Obsoletes: abiword-plugin-ots < 2.7.2
Obsoletes: abiword-plugin-shell < 2.7.2
Obsoletes: abiword-plugin-urldict < 2.7.2
Obsoletes: abiword-plugin-wikipedia < 2.7.2
Obsoletes: abiword-plugin-gdict < 2.7.2
Obsoletes: %{_lib}abiword < 2.7.2
#-------------------------------------------------
Requires: %{_lib}aiksaurus1.2_0	
Requires: gnome-themes-standard
Requires: dconf-editor

%description
AbiWord is a cross-platform, open source, lean and fast full-featured word
processor. It works on Most Unix systems, Microsoft Windows and Mac OS X.

Abiword with the GNOME front-end is part of the GNOME Office Suite. 
See http://www.gnomeoffice.org for details.

%description -l de
AbiWord ist ein schlankes und schnelles Textverarbeitungsprogramm mit vollem Funktionsumfang. 
Es funktioniert auf den meisten UNIX-Systemen, Microsoft Windows und Mac OS x.

AbiWord mit dem GNOME Front-End ist Teil der GNOME-Office-Suite.
Diese finden Sie unter http://www.gnomeoffice.org für weitere Details.


%package devel
Summary:	Devel files for Abiword
Group:	Development/Libraries
Requires:	%{name} = %{version}


%description devel
This pacakage contains devel files for Abiword, mainly header files
and pkg files.

%description devel -l de
Dieses Paket enthält Entwicklerdateien für AbiWord. 

%prep
%setup -q -n %{name}-%{version}

%build
%define Werror_cflags %nil
# find plugins Makefile templates
find plugins -name Makefile.am | sed  's|.am$||g' > plugin-makefiles.m4

# create plugin list
(cd ./plugins && find . -maxdepth 1 -type d | grep -v '^\.$' | grep -v '\./\.' | sed 's|\./||g' | xargs echo) > plugin-list.m4

# create conditionals for builtin plugins
(for plugin in `cat plugin-list.m4`; do
	u=`echo $plugin | tr '[:lower:]' '[:upper:]'`
	echo 'AM_CONDITIONAL(['$u'_BUILTIN], test "$enable_'$plugin'_builtin" = "yes")'
done) > plugin-builtin.m4

# find extra m4 files provided by plugins and symlink them
for f in ` find ./plugins -name '*.m4' | grep -v 'plugin\.m4'`; do
    ln -sf $f
done

autoreconf -fi
%configure2_5x --disable-static --enable-plugins --enable-clipart --enable-templates --enable-introspection
make

%install
rm -fr %buildroot
%makeinstall_std

find %buildroot -name *.la|xargs rm

desktop-file-install --vendor="" \
	--remove-category="X-Red-Hat-Base" \
	--dir %buildroot%{_datadir}/applications \
	%buildroot%{_datadir}/applications/%name.desktop

%files
%{_bindir}/abiword
%{_datadir}/abiword*
%{_libdir}/libabiword*.so
%{_libdir}/girepository-1.0/Abi-*.typelib
%{_libdir}/python*/site-packages/gi/overrides/Abi.*
%{_libdir}/abiword-*
%{_mandir}/man1/abiword.1.*
%{_iconsdir}/*/*/*/*
%{_datadir}/applications/*.desktop
%{_libdir}/libAiksaurusGtk3--export-dynamic.so

   
%files devel
%{_includedir}/*
%{_datadir}/gir-1.0/Abi-*.gir
%{_libdir}/pkgconfig/*.pc
%{_libdir}/libAiksaurusGtk3.so


%changelog
* Sat Jan 24 2014 bb <bb> 3.0.1-1pclos2015
- update

* Mon Oct 14 2013 pinoc <vogtpet at gmail.com> 3.0.0-1pclos2013
- 3.0.0

* Tue Mar 13 2012 maik3531 <maik3531 at yahoo.de> 2.9.2-1pclos2012
- 2.9.2
- add german description

